package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.box.HomeListEntity
import com.zxhl.cms.net.model.chat.DistanceEntity


class UserDetailContract {
    interface View {
        fun setUserInfo(result: HomeListEntity)
        fun followSuc()
        fun likeSuc()
        fun distanceSuc(reslut: DistanceEntity?)
        fun distanceFail()
    }

    interface Presenter {
        fun getUserInfo(id: String?,free: String)
        fun followUser(uid: String?)
        fun likeUser(uid: String?,free:String)
        fun getDistance(free: Int,uid: String?)
    }
}